require "devise"
require 'block/common/engine'

module Block
  module Auth
    class Engine < ::Rails::Engine
      isolate_namespace Block::Auth

      # do this before set any initializer
      self.instance_variable_set(:@initializers, Common::Engine.initializers.map { |x| x.dup })
    end
  end
end
